#
# spec file for package libedit0 (Version 2.10.snap200708113
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           libedit0
Version:        2.10.snap20070813
Release:        3.6
%define pkg_name    libedit
%define pkg_version 20070813-2.10
#
License:        BSD 3-Clause
Group:          Development/Libraries/C and C++
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ ncurses-devel
Provides:       %{pkg_name} = %{version}-%{release}
Obsoletes:      %{pkg_name} <= %{version}
#
URL:            http://www.thrysoee.dk/editline/
Source:         http://www.thrysoee.dk/editline/%{pkg_name}-%{pkg_version}.tar.gz
Source1:        README.SuSE
#
Summary:        A command line editing and history library

%description
libedit is a command line editing and history library.	It is designed
to be used by interactive programs that allow the user to type commands
at a terminal prompt.



Authors:
--------
    Jess Thrysoee

%package -n libedit-devel
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       ncurses-devel
#
Summary:        Development files for libedit

%description -n libedit-devel
libedit is a command line editing and history library.	It is designed
to be used by interactive programs that allow the user to type commands
at a terminal prompt.

This package holds the development files for libedit.



Authors:
--------
    Jess Thrysoee

%prep
%setup -n %{pkg_name}-%{pkg_version}
%{__cp} %{S:1} .

%build
%configure --disable-static --with-pic
%{__make}

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libedit.so.*
%{_mandir}/man5/editrc.5*
%doc README.SuSE THANKS ChangeLog COPYING examples/*c

%files -n libedit-devel
%defattr(-,root,root,-)
%{_libdir}/libedit.so
%{_libdir}/libedit.la
%{_includedir}/histedit.h
%{_includedir}/editline/
%{_mandir}/man3/*.3*
##%{_libdir}/pkgconfig/libedit.pc

%changelog
* Fri Aug 31 2007 mrueckert@suse.de
- update to 20070831-2.10
  * version-info: 0:26:0
  * libedit.pc.in,Makefile.am,configure.ac,patches/extra_dist_list.sh:
    Added pkg-config support for libedit. Patch by Masatake YAMATO.
* Wed Aug 15 2007 mrueckert@suse.de
- update to 20070813-2.10
  * version-info: 0:25:0
  * all: sync with upstream source.
* Mon Jul 16 2007 mrueckert@suse.de
- fixed a few -n lines that wont work in abuild otherwise
* Mon Jun 11 2007 mrueckert@suse.de
- rename package to follow the library packaging policy.
- dont build the static lib
* Sat Mar  3 2007 mrueckert@suse.de
- update to 20070302-2.10:
  * version-info: 0:24:0
  * all: sync with upstream source.
  * A bug with el_push() has been fixed.
* Tue Jan  9 2007 mrueckert@suse.de
- update to 20061228-2.10:
  * version-info: 0:23:0
  * src/shlib_version: Upstream bumped minor version from 9 to 10.
  * all: sync with upstream source. More readline functions.
* Sun Oct 22 2006 mrueckert@suse.de
- update to 20061022-2.9:
  synced with upstream source.
* Thu Aug 31 2006 mrueckert@suse.de
- removed changelog from README.SuSE
* Wed Aug 30 2006 mrueckert@suse.de
- update to 20060829-2.9:
  Finally all files are bsd 3 clause.
  This package should be GPL compatible now.
* Thu Aug 17 2006 mrueckert@suse.de
- run ldconfig
* Thu Aug 17 2006 mrueckert@suse.de
- updated to 20060816-2.9:
  * sync with upstream sources
